Bug 18303 - "Keep panel below windows" is evil
"Keep panel below windows" is evil
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-10-04 03:43 EDT by Tim Mann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-04 14:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Mann 2000-10-04 03:43:27 EDT
The new global "Keep panel below windows" option, in the GNOME control
center / Desktop / Panel / Miscellaneous tab, mixes very badly with panels
that either auto-hide or explicitly hide.  When you make a panel hideable,
it's because you want to use that screen real estate for windows most of
the time, but have the panel pop out on top of them when you unhide it.

I can see that the property might be OK for panels that are present all the
time, since then it lets you put another window over the panel temporarily
and move it out of the way when you need the panel.  However, it should not
be global; it should be per-panel and should be available to turn on/off
from the same dialog(s) where you can turn autohiding and the hide buttons
on/off.  I found it very confusing that the option is new, global, on by
default, and somewhat hard to find.
Comment 1 Havoc Pennington 2000-10-04 14:57:00 EDT
Seems sensible, I'll forward the bug to the panel maintainers.
Comment 2 Havoc Pennington 2001-07-05 23:50:31 EDT
I guess I'd go so far as to say that nearly all the options in the panel config
dialog are evil. ;-)

We aren't really willing to diverge from upstream maintainer on this though, 
so I'm going to close the bug here and leave it up to http://bugzilla.gnome.org.

Note You need to log in before you can comment on or make changes to this bug.